<?php
/* Busqueda de registros de la tabla ALM_RequerimientoCabecera redefinidos por el usuario. */
class ALM_RequerimientoCabeceraFN extends BaseALM_RequerimientoCabeceraFN
{
    public static function recuperarId()
    {
        $s_Sql = "SELECT IF( MAX( idRequerimiento ) IS NULL, 1, MAX( idRequerimiento ) + 1 ) i_Id FROM ALM_RequerimientoCabecera;";
        $o_ResultSet = Conexion::getConexion()->prepareStatement( $s_Sql )->executeQuery();
        $o_ResultSet->next();
        return $o_ResultSet->getInt( 'i_Id' );
    }
}
?>